

<?php include_once('../_header.php'); ?>

<div class="box">
    <h1>Peripheral</h1>
    <h4>
        <a href="#menu-toggle" class="btn btn-warning btn-xs" id="menu-toggle">MENU</a>
        <div class="pull-right">

            <a href="cetak_all.php" target="_blank" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-print"></span></a>
            <a href="add.php" class="btn btn-success btn-xs"><i class="glyphicon glyphicon-plus"></i> Tambah Peripheral</a>
        </div>
    </h4>
    <div class="table-responsive">
        <table class="table table-striped table-bordered table-hover" id="peripheral">
            <thead>
                <tr>
                    <th>No.</th>
                    <th>ID</th>
                    <th>Nama Karyawan</th>
                    <th>Dep</th>
                    <th>Nama Barang</th>
                    <th>S/N</th>
                    <th>Merk</th>
                    <th>Type</th>
                    <th>Tanggal</th>
                    <th>Gambar</th>
                    <th><i class="glyphicon glyphicon-cog"></i></th>
                </tr>
            </thead>
            <tbody>
                <?php
                $no = 1;
                $query = "SELECT * FROM tb_peripheral
                          INNER JOIN tb_nama ON tb_peripheral.nama_karyawan = tb_nama.id_karyawan
                          INNER JOIN tb_barang ON tb_peripheral.nama_brg = tb_barang.id_brg";
                $sql_ph = mysqli_query($con, $query) or die(mysqli_error($con));
                while ($data = mysqli_fetch_array($sql_ph)) { ?>
                    <tr>
                        <td><?= $no++ ?></td>
                        <td><?= $data['id_peripheral'] ?></td>
                        <td><?php
                            $nama = $data['nama_karyawan'];
                            if ($nama == "Kosong") {
                                echo '<a class="btn btn-danger btn-xs">KOSONG</a>';
                            } else {
                                echo "$nama";
                            }
                            ?></td>
                        <td><?= $data['dep'] ?></td>
                        <td><?= $data['nama_brg'] ?></td>
                        <td><?= $data['kd_peripheral'] ?></td>
                        <td><?= $data['merk'] ?></td>
                        <td><?= $data['type'] ?></td>
                        <td><?= date('d-M-y', strtotime($data['tanggal'])) ?></td>
                        <td><img src="img/<?= $data['gambar'] ?>" style="width: 20px;float: left;margin-bottom: 5px;" data-toggle="modal" data-target="#modalku<?= $data['kd_peripheral'] ?>">
                            <div id="modalku<?= $data['kd_peripheral'] ?>" class="modal fade" role="dialog">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                                        </div>
                                        <div align="center">
                                            <img src="img/<?= $data['gambar'] ?>" class="responsive">
                                        </div>
                                        <div class="modal-footer">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </td>
                        <td>
                            <a href="edit.php?id=<?= $data['id_peripheral'] ?>" class="btn btn-success btn-xs">
                                <span class="glyphicon glyphicon-edit"></span>
                            </a>
                            <a href="view_data.php?id=<?= $data['id_peripheral'] ?>" target="_blank" class="btn btn-primary btn-xs">
                                <span class="glyphicon glyphicon-eye-open"></span>
                            </a>
                            <a href="del.php?id=<?= $data['id_peripheral'] ?>" class="btn btn-danger btn-xs" onclick="return confirm('Yakin menghapus data dengan id <?= $data['id_peripheral'] ?>')">
                                <span class="glyphicon glyphicon-trash"> </span>
                            </a>
                        </td>
                    </tr>
                <?php
                } ?>
            </tbody>
        </table>
    </div>
</div>
<script>
    $(document).ready(function() {

        $('#peripheral').DataTable({
            columnDefs: [{
                "searchable": true,
                "orderable": true,
                "targets": [0, 8]
            }],
            "order": [1, "asc"]
        });

        $('#select_all').on('click', function() {
            if (this.checked) {
                $('.check').each(function() {
                    this.checked = true;
                })
            } else {
                $('.check').each(function() {
                    this.checked = false;
                })
            }
        });

        $('.check').on('click', function() {
            if ($('.check:checked').length == $('.check').length) {
                $('#select_all').prop('checked', true)
            } else {
                $('#select_all').prop('checked', false)
            }
        })
    })

    function hapus() {
        var conf = confirm('Yakin akan menghapus data?');
        if (conf) {
            document.proses.action = 'del.php';
            document.proses.submit();
        }
    }
</script>
<?php include_once('../_footer.php'); ?>